role::puppet::self referenced in puppet_ssldir.rb
Closed, ResolvedPublic

Description

While in the process of purging role::puppet::self, I note that it's referred to in puppet_ssldir.rb. Role::puppet::self hasn't been used for ages -- that makes me think this function is probably broken in some cases.

If this code is still needed, the fix is probably just to look for the hiera var 'puppetmaster'.

Andrew created this task.Feb 17 2018, 4:29 PM
Joe added a comment.Mar 21 2018, 6:31 PM

the reference in puppet_ssldir.rb is to a hiera lookup, and is harmless. You can safely remove the class; we can then cleanup this function once that class is removed.

Change 436600 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] Kill the last role::puppet::self references

https://gerrit.wikimedia.org/r/436600

Change 436600 merged by Andrew Bogott:
[operations/puppet@production] Kill the last role::puppet::self references

https://gerrit.wikimedia.org/r/436600

Krenair closed this task as Resolved.May 31 2018, 5:42 PM

Mentioned in SAL (#wikimedia-releng) [2018-05-31T18:13:34Z] <hashar> deployment-prep integration : revert puppet change https://gerrit.wikimedia.org/r/#/c/436600/ | T187622

Change 436605 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] Revert "Kill the last role::puppet::self references"

https://gerrit.wikimedia.org/r/436605

Change 436605 abandoned by Hashar:
Revert "Kill the last role::puppet::self references"

Reason:
Fix is https://gerrit.wikimedia.org/r/436606

https://gerrit.wikimedia.org/r/436605